Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsAttributeRights

    java.lang.Object
      |
      +--com.novell.service.nds.NdsRights
            |
            +--com.novell.service.nds.NdsAttributeRights

public final class NdsAttributeRights
extends NdsRights

Provides definitions of the effective rights for attributes, and methods for checking attribute effective rights.

See Also:
  `NdsRights`

Field Summary
`static int` | `DS_ATTR_COMPARE` Allows a trustee to compare a value with an attribute's value.
`static int` | `DS_ATTR_INHERIT_CTL` Allows a trustee to inherit the rights granted in the ACL and exercise these attribute rights on subordinate objects.
`static int` | `DS_ATTR_READ` Allows a trustee to read an attribute.
`static int` | `DS_ATTR_SELF` Allows a trustee to add or delete its name as an attribute value on those attributes that take object names as their values.
`static int` | `DS_ATTR_SUPERVISOR` Gives a trustee all rights to the object's attributes.
`static int` | `DS_ATTR_WRITE` Allows a trustee to add, delete, or modify an attribute value.

Constructor Summary
`NdsAttributeRights(javax.naming.directory.Attribute attr)` Constructs an NdsAttributeRights object and sets the attribute name and associated effective rights.
`NdsAttributeRights(int rights)` Constructs an NdsAttributeRights object and sets the attribute effective rights.

Method Summary
`java.lang.String` | `getAttrName()` Returns the name of the current attribute as a String.
`boolean` | `hasCompare()` Checks to see if an attribute has Compare rights.
`boolean` | `hasInheritCtl()` Checks to see if an attribute has Inherit CTL rights.
`boolean` | `hasRead()` Checks to see if an attribute has Read rights.
`boolean` | `hasSelf()` Checks to see if an attribute has Self rights.
`boolean` | `hasSupervisor()` Checks to see if an attribute has Supervisor rights.
`boolean` | `hasWrite()` Checks to see if an attribute has Write rights.

Methods inherited from class com.novell.service.nds.NdsRights
`getRights`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DS_ATTR_COMPARE

    public static final int DS_ATTR_COMPARE

  Allows a trustee to compare a value with an attribute's value.

  This allows the trustee to see if the attribute contains the value without having rights to see what the value is.

  (DS_ATTR_COMPARE = 0x1)

### DS_ATTR_READ

    public static final int DS_ATTR_READ

  Allows a trustee to read an attribute.

  This right confers the Compare right as well as the Read right.

  (DS_ATTR_READ = 0x2)

### DS_ATTR_WRITE

    public static final int DS_ATTR_WRITE

  Allows a trustee to add, delete, or modify an attribute value.

  This right also gives the trustee the Self (Add or Delete Self) right.

  (DS_ATTR_WRITE = 0x4)

### DS_ATTR_SELF

    public static final int DS_ATTR_SELF

  Allows a trustee to add or delete its name as an attribute value on those attributes that take object names as their values.

  (DS_ATTR_SELF = 0x8)

### DS_ATTR_SUPERVISOR

    public static final int DS_ATTR_SUPERVISOR

  Gives a trustee all rights to the object's attributes.

  (DS_ATTR_SUPERVISOR = 0x20)

### DS_ATTR_INHERIT_CTL

    public static final int DS_ATTR_INHERIT_CTL

  Allows a trustee to inherit the rights granted in the ACL and exercise these attribute rights on subordinate objects.

  (DS_ATTR_INHERIT_CTL = 0x40)

Constructor Detail

### NdsAttributeRights

    public NdsAttributeRights(int rights)

  Constructs an NdsAttributeRights object and sets the attribute effective rights.
  Parameters:
    `rights` - The attribute effective rights as defined by the above variables.

### NdsAttributeRights

    public NdsAttributeRights(javax.naming.directory.Attribute attr)
                       throws com.novell.service.jncp.NSIException

  Constructs an NdsAttributeRights object and sets the attribute name and associated effective rights.
  Parameters:
    `attr` - The Attribute for which to get the attribute effective rights.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

Method Detail

### getAttrName

    public java.lang.String getAttrName()

  Returns the name of the current attribute as a String.
  Returns:
    A string containing the name of the attribute.

### hasCompare

    public boolean hasCompare()

  Checks to see if an attribute has Compare rights.

  Calls getRights() for the current attribute and then checks the Compare rights status.

  Returns:
    A Boolean set to TRUE if the attribute has Compare rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasRead

    public boolean hasRead()

  Checks to see if an attribute has Read rights.

  Calls getRights() for the current attribute and then checks the Read rights status.

  Returns:
    A Boolean set to TRUE if the attribute has Read rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasWrite

    public boolean hasWrite()

  Checks to see if an attribute has Write rights.

  Calls getRights() for the current attribute and then checks the Write rights status.

  Returns:
    A Boolean set to TRUE if the attribute has Write rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasSelf

    public boolean hasSelf()

  Checks to see if an attribute has Self rights.

  Calls getRights() for the current attribute and then checks the Self rights status.

  Returns:
    A Boolean set to TRUE if the attribute has Self rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasSupervisor

    public boolean hasSupervisor()

  Checks to see if an attribute has Supervisor rights.

  Calls getRights() for the current attribute and then checks the Supervisor rights status.

  Returns:
    A Boolean set to TRUE if the attribute has Supervisor rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

### hasInheritCtl

    public boolean hasInheritCtl()

  Checks to see if an attribute has Inherit CTL rights.

  Calls getRights() for the current attribute and then checks the Inherit CTL rights status.

  Returns:
    A Boolean set to TRUE if the attribute has Inherit CTL rights, otherwise set to FALSE.
  See Also:
    `NdsRights.getRights()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD